package  
{
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	import org.osflash.signals.Signal;
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class Menu 
	{
		private var _gfx:Sprite;
		private var _newGame:Signal = new Signal();
		private var _highscore:GameTextField;
		
		public function Menu() 
		{
			_gfx = Main.assets.newSprite("MainMenu");
			
			_gfx.addEventListener(MouseEvent.CLICK, onClicked );
		}
		
		public function setScore(highScore:int, pNewScore:Boolean):void 
		{
			if ( highScore == 0) return;
			
			if ( _highscore == null) {
				_highscore = new GameTextField( true );
				_highscore.gfx.x = 200;
				_highscore.gfx.y = 200;
				_gfx.addChild( _highscore.gfx );
			}
			
			_highscore.text = (pNewScore? "High":"") + "Score $" + highScore;
		}
		
		private function onClicked(e:MouseEvent):void 
		{
			_newGame.dispatch();
		}
		
		public function get gfx():Sprite 
		{
			return _gfx;
		}
		
		public function get newGame():Signal 
		{
			return _newGame;
		}
		
	}

}