package  
{
	import flash.geom.Point;
	/**
	 * ...
	 * @author Christoffer Enedahl
	 */
	public class TileConnection
	{
		private var _name:String;
		private var _sources:Vector.<Point>;
		private var _targets:Vector.<Point>;
		
		public function TileConnection( pName:String ) 
		{
			_name = pName;
			_sources = new Vector.<Point>();
			_targets = new Vector.<Point>();
		}
		
		public function addSource( p:Point ):void 
		{
			_sources.push( p);
		}
		
		public function addTarget( p:Point ):void 
		{
			_targets.push( p);
		}
		
		public function get sources():Vector.<Point> { return _sources; }
		
		public function get targets():Vector.<Point> { return _targets; }
		
		public function dispose():void 
		{
			_sources = null;
			_targets = null;
		}
		
	}

}