package loot 
{
	import actors.Player;
	import behaviours.BehaviourCollision;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.MovieClip;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import loot.Heart;
	
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class Heart extends BaseLoot implements ILoot, ISpawnable
	{
		public function Heart( )
		{
			super("heart")
		}
		
		override public function pickup(player:Player):void 
		{
			if ( _timeOfSpawn + 1000 > Main.gameTime) return; //Cannot pick this up the first second
			
			if ( _z > -32) {
				player.hp ++;
				Main.assets.newSound("FoundHeart").play();
				removeNextUpdate = true;
			}
		}
		
	}

}