package  
{
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.text.TextFormat;
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class GameTextField 
	{
		private var _gfx:MovieClip;
		private var _text:String;
		
		public function GameTextField( pUseWhite:Boolean = false) 
		{
			if ( pUseWhite ) {
				_gfx = Main.assets.newMovieClip("MCTextFieldWhite");
			}else{
				_gfx = Main.assets.newMovieClip("MCTextField");
			}
			_text = "$10";
		}
		
		public function dispose():void {
			
			if ( _gfx != null) {
				if ( _gfx.parent != null) {
					_gfx.parent.removeChild( _gfx );
				}
				_gfx = null;
			}
		}
		
		public function setColor(color:Object):void 
		{
			var tf:TextFormat = _gfx["label"].getTextFormat();
			
			tf.color = color;
			
			_gfx["label"].setTextFormat(tf);
		}
		
		public function get text():String 
		{
			return _text;
		}
		
		public function set text(value:String):void 
		{
			_text = value;
			
			_gfx["label"].text = _text;
		}
		
		public function get gfx():Sprite 
		{
			return _gfx;
		}
	}

}