package  
{
	import flash.display.BitmapData;
	import flash.display.DisplayObject;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public interface IObject 
	{
		function get removeNextUpdate():Boolean;
		function set removeNextUpdate(value:Boolean):void;
		function get pos():Point;
		function get collisionRect():Rectangle;
		function get vel():Point;
		function get gfx():DisplayObject;
		function update( pLastFrameTime:int ):void;
		function render( dest:BitmapData, cameraPoint:Point ):void;
		function dispose():void;
	}
	
}