package  
{
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class Layer
	{
		public var width:int;
		public var height:int;
		public var name:String;
		public var tiles:Vector.<int>;
		
		public function Layer( pXml:XML ) 
		{
			/*
			<layer name="Layer1" width="32" height="22">
				<data>
				  <tile gid="0"/>
				  <tile gid="0"/>

			*/
			
			width = parseInt( pXml.@width );
			height = parseInt( pXml.@height );
			name  = pXml.@name;
			
			tiles = new Vector.<int>();
			
			for each( var tile:XML in pXml.data.tile ){
				tiles.push( parseInt( tile.@gid ) );
			}
			
			trace("Layer " + name +" " + width +"x" + height);
			
		}
		
		public function getTextureGid(x:int, y:int):int 
		{
			return tiles[ x + (y * width) ];
		}
	}

}