package  
{
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	import org.osflash.signals.Signal;
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class PauseMenu 
	{
		
		private var _gfx:Sprite;
		private var _play:Signal = new Signal();
		
		public function PauseMenu() 
		{
			_gfx = Main.assets.newSprite("MCPauseMenu");
			
			_gfx.addEventListener(MouseEvent.CLICK, onClicked );
		}
		
		private function onClicked(e:MouseEvent):void 
		{
			_play.dispatch();
		}
		
		public function get gfx():Sprite 
		{
			return _gfx;
		}
		
		public function get play():Signal 
		{
			return _play;
		}
		
		public function dispose():void 
		{
			if ( _gfx != null) {
				if ( _gfx.parent != null) {
					_gfx.parent.removeChild( _gfx);
				}
				_gfx = null;
			}
			
			if ( _play!= null) {
				_play.removeAll();
				_play = null
			}
		}
		
		
	}

}