package  
{
	import com.nodename.utils.Enumeration;
	import flash.utils.ByteArray;
	import flash.utils.Dictionary;
	
	/**
	 * ...
	 * @author christoffer@enedahl.com
	 */
	public class TilePropertyType 
	{
		{
			Enumeration.registerClass(TilePropertyType);
		}
		
		[Enum] public static const AIR:TilePropertyType 		= _("air");
		[Enum] public static const UNDEFINED:TilePropertyType 	= _("undefined");
		[Enum] public static const WALL:TilePropertyType 		= _("wall");
		[Enum] public static const CRATE:TilePropertyType 		= _("crate");
		[Enum] public static const CRATE_OPEN:TilePropertyType 	= _("crate_open");
		
		public static const defaultValue:TilePropertyType = UNDEFINED;
		public static var enums:Dictionary;
		protected static const LOCK:Object = {};
		private static function _(stringValue:String):TilePropertyType
		{
			return new TilePropertyType(LOCK, stringValue);
		}
		
		private var _stringValue:String;
		
		public function TilePropertyType(lock:Object, stringValue:String)
		{
			if (lock != LOCK)
			{
				throw new Error("illegal contructor access");
			}
			_stringValue = stringValue;
			
			if ( enums == null) {
				enums = new Dictionary();
			}
			
			enums[stringValue] = this;
		}
		
		public function toString():String
		{
			return _stringValue;
		}
		
		static public function fromString(type:String):TilePropertyType
		{
			return enums[type] as TilePropertyType
		}
	}
}